OBScoreGrid Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes
OBScoreGrid Class Reference

`#include <openbabel/grid.h>`

List of all members.

## Public Member Functions
| OBScoreGrid (void)
virtual | ~OBScoreGrid (void)
void | SetVerbose (bool v)
void | SetType (score_t type)
score_t | GetType (void)
virtual void | Clear (void)
virtual double | Eval (double *)
virtual double | Eval (OBMol &mol)
virtual void | Init (OBMol &, OBMol &, std::string &, double)
virtual void | Setup (OBMol &)
virtual void | Setup (OBMol &, std::vector< int > &)
virtual void | Setup (std::vector< int > &)
virtual void | Config (std::string)
virtual bool | Read (std::string)
virtual bool | Write (std::string)
virtual vector3 | Center ()
virtual vector3 | CenterMol (OBMol &)
## Public Attributes
double | score
## Protected Attributes
score_t | gridtype
bool | verbose

## Detailed Description

A base class for scoring docking interactions between multiple molecules.

Deprecated:
  Will disappear in future versions. Use your own code.

## Constructor & Destructor Documentation

OBScoreGrid | ( | void |  | ) | `[inline]`

virtual ~OBScoreGrid | ( | void |  | ) | `[inline, virtual]`

## Member Function Documentation

void SetVerbose | ( | bool | v | ) | `[inline]`

void SetType | ( | score_t | type | ) | `[inline]`

score_t GetType | ( | void |  | ) | `[inline]`

virtual void Clear | ( | void |  | ) | `[inline, virtual]`

virtual double Eval | ( | double * |  | ) | `[inline, virtual]`

virtual double Eval | ( | OBMol & | mol | ) | `[inline, virtual]`

Referenced by OBScoreGrid::Eval().

virtual void Init | ( | OBMol & | ,
|  | OBMol & | ,
|  | std::string & | ,
|  | double |
| ) |  | `[inline, virtual]`

virtual void Setup | ( | OBMol & |  | ) | `[inline, virtual]`

virtual void Setup | ( | OBMol & | ,
|  | std::vector< int > & |
| ) |  | `[inline, virtual]`

virtual void Setup | ( | std::vector< int > & |  | ) | `[inline, virtual]`

virtual void Config | ( | std::string |  | ) | `[inline, virtual]`

virtual bool Read | ( | std::string |  | ) | `[inline, virtual]`

virtual bool Write | ( | std::string |  | ) | `[inline, virtual]`

virtual vector3 Center | ( |  | ) | `[inline, virtual]`

virtual vector3 CenterMol | ( | OBMol & |  | ) | `[inline, virtual]`

## Member Data Documentation

score_t gridtype`[protected]`

bool verbose`[protected]`

double score

The documentation for this class was generated from the following file:

- grid.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines